=== debian/changelog ===
ros-galactic-rmf-visualization-rviz2-plugins (1.2.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Yadunund <yadunund@openrobotics.org>  Thu, 09 Sep 2021 03:50:57 -0000
